:root {
    --primary-color: #d2241e;
}

button#cc-icon {
    position: fixed;
    /* left: 20px;
    bottom: -40px; */
    border-radius: 10px 10px 0px 0px;
    background: var(--primary-color);
    padding: 0px 15px;
    border: 1px solid var(--primary-color);
    color: #fff;
    cursor: pointer;
    overflow: hidden;
    height: 60px;
    transition: all .5s;
    margin: 0;
    z-index: 100;

    transform: rotate(90deg);
    bottom: 125px;
    left: -95px;
}

/* button#cc-icon.cc-animation {
    animation: jump 1s ease-in-out 2 forwards;
} */

button#cc-icon h1 {
    margin: 0;
    font-size: 15pt;
}

/* button#cc-icon:hover {
    bottom: 0;
} */

div#cc-modal {
    position: fixed;
    top: -100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

div#cc-modal.open {
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
}

div#cc-modal .cc-container {
    width: 600px;
    background-color: #fff;
    box-shadow: 0px 0px 20px 1px rgba(0, 0, 0, .4);
    border-radius: 10px;
    padding: 25px;
}

div#cc-modal .cc-container .cc-header>h2 {
    font-size: 20pt;
    margin: 10px 0 20px;
    text-align: center;
}

div#cc-modal .cc-container .cc-body p {
    font-size: 15pt;
}


div#cc-modal .cc-container .cc-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

div#cc-modal .cc-container .cc-footer button {
    width: fit-content;
    font-size: 14pt;
    cursor: pointer;
}

div#cc-modal .cc-container .cc-footer button#cc-deny {
    background: none;
    border: none;
    outline: none;
    text-decoration: underline;
}

div#cc-modal .cc-container .cc-footer button#cc-accept {
    background-color: #198754;
    border: 1px solid #198754;
    padding: 10px 15px;
    border-radius: 10px;
    color: #fff;
}

div#cc-modal .cc-container .cc-footer button#cc-accept:hover {
    background-color: #157347;
    border-color: #146c43;
}

/* @keyframes jump {

    0%,
    100% {
        bottom: -40px;
        animation-timing-function: ease-in;
    }

    50% {
        bottom: -10px;
        animation-timing-function: ease-out;
    }
} */